Skip to main content
POST
/
api
/
openapi
/
submit
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedream_v5_lite",
    "params": {
      "prompt": "An orange tabby cat sitting on the windowsill, with Tokyo night view outside, cyberpunk style",
      "aspect_ratio": "16:9",
      "resolution": "3K",
      "web_search": false
    },
    "out_task_id": "my_task_123456"
  }'
{
  "statusCode": 200,
  "message": "",
  "data": {
      "out_task_id": "my_task_123456",
      "status": "pending",
      "estimated_credits": 100,
      "created_at": "2025-12-22T06:03:28.242Z"
  }
}

Authorizations

Authorization
string
required
All endpoints require Bearer Token authenticationGet the API Key:Visit the API Key management page to get your API KeyAdd the following to the request headers:
Authorization: Bearer YOUR_API_KEY

Body

model
string
required
Model NameFixed value: "seedream_v5_lite"
params
object
required
Model Parameter Object
callback_url
string
Callback URL upon task completion
metadata
object
Custom metadata, returned as-is
out_task_id
string
required
Initiator’s Task IDUser-defined task identifier, required

Response

out_task_id
string
Initiator task ID, which can be used to query the result
status
string
Initial status, fixed as "pending"
estimated_credits
number
Estimated credit consumption
created_at
string
Creation time (ISO format)
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedream_v5_lite",
    "params": {
      "prompt": "An orange tabby cat sitting on the windowsill, with Tokyo night view outside, cyberpunk style",
      "aspect_ratio": "16:9",
      "resolution": "3K",
      "web_search": false
    },
    "out_task_id": "my_task_123456"
  }'
{
  "statusCode": 200,
  "message": "",
  "data": {
      "out_task_id": "my_task_123456",
      "status": "pending",
      "estimated_credits": 100,
      "created_at": "2025-12-22T06:03:28.242Z"
  }
}